package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.sd4324530.jtuple.Tuple2;
import com.zanxiang.game.module.base.pojo.enums.HttpStatusEnum;
import com.zanxiang.game.module.mybatis.entity.IpBan;
import com.zanxiang.game.module.sdk.pojo.param.UserData;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : ip封禁管理
 */
public interface IIpBanService extends IService<IpBan> {

    /**
     * 检查ip禁令
     *
     * @param userData 用户数据
     * @return boolean
     */
    boolean checkIpBan(UserData userData);

    /**
     * 封禁IP和设备检测
     *
     * @param userData : 用户数据
     * @return : 返回检测结果
     */
    Tuple2<Boolean, HttpStatusEnum> banCheck(UserData userData);
}
